CVE-2012-5962

NameCVE-2012-5962
DescriptionStack-based buffer overflow in the unique_service_name function in ssdp/ssdp_server.c in the SSDP parser in the portable SDK for UPnP Devices (aka libupnp, formerly the Intel SDK for UPnP devices) 1.3.1 allows remote attackers to execute arbitrary code via a long DeviceType (aka urn) field in a UDP packet.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-2614-1, DSA-2615-1
NVD severityhigh
Debian Bugs699316, 699459

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libupnp (PTS)stretch1:1.6.19+git20160116-1.2fixed
stretch (security)1:1.6.19+git20160116-1.2+deb9u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libupnpsourcesqueeze1:1.6.6-5+squeeze1DSA-2614-1
libupnpsource(unstable)1:1.6.17-1.2699316
libupnp4sourcesqueeze1.8.0~svn20100507-1+squeeze1DSA-2615-1
libupnp4source(unstable)1.8.0~svn20100507-1.2699459

Search for package or bug name: Reporting problems